'use strict';

module.exports = {
  apps: [{
    name: '{{name}}',
    script: './main.js',
    instances: 1,
    exec_mode: 'fork',
    watch: false,
    args: '--color',
    error_file: './logs/pm2/{{name}}-err.log',
    out_file: './logs/pm2/{{name}}-out.log',
    increment_var: 'WORKER',
    env: {
      WORKER: 1,
      IKKA_SERVER_ENV: 'local',
    },
    env_test: {
      WORKER: 1,
      IKKA_SERVER_ENV: 'test',
    },
    env_prod: {
      WORKER: 1,
      IKKA_SERVER_ENV: 'prod',
    },
  }],
};
