'use strict';

const Controller = require('@ikka/ikka-yh').Controller;

class HomeController extends Controller {

  async alive() {
    const { ctx } = this;
    const { conn, packet } = ctx;
    const now = Date.now();
    conn.sendData(this.app.cmd.CLIENT.KEEP_ALIVE, [
      { type: 'int', value: 1 },
      { type: 'int', value: now / 1e3 },
    ]);
    conn.lastkeeplive = now;
  }

  async ping() {
    const { ctx } = this;
    await ctx.service.home.pong(123);
  }


}

module.exports = HomeController;
